#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "mybrute.h"



int main(void) {
    FILE        *fd;
    mybrute_t   *brute;
    u_char      *pass;


        printf("\n  initialization:\n");

    brute = mybrute_init(
        3,      // max length of the text string
        "ac01"  // char table, in this case "abc01"
    );
    if(!brute) exit(1);

    pass = brute->buff;


        printf("\n  normal brute forcing:\n");

    while(mybrute(brute, 0)) {
        printf("%s\n", pass);
    }


        printf("\n  restore brute forcing:\n");

    strcpy(pass, "c0");
    mybrute_restore(brute);

    while(mybrute(brute, 0)) {
        printf("%s\n", pass);
    }


        printf("\n  set options:\n");
        // you can use also | like "MYBRUTE_WORD_AUTOCASE | other_option"
        // but at the moment this is not supported

    if(!mybrute_options(brute, MYBRUTE_WORD_AUTOCASE)) {
        exit(1);
    }


        printf("\n  wordlist brute forcing:\n");

    memset(brute->buff, 0, brute->bufflen); // useless

    fd = fopen("mybrute.h", "rb");
    if(fd) {

        while(mybrute_word(brute, fd)) {
            printf("%s\n", pass);
        }

        fclose(fd);
    }


        printf("\n  finished:\n");

//    printf("I have found the password: %s\n", pass);

    mybrute_free(brute);
    return(0);
}

